function c = format_with_commas(p)
% FORMAT_WITH_COMMAS Format terms in POLYSYM array in comma-delimited string.
%
% c = format_with_commas(p) inputs P, a POLYSYM array. Returns C, a
% string containing the elements of P separated by commas.
%
% Example:
%   x = polysym({'x','y'});
%   format_with_commas(x)
% 
%   ans =
% 
%   x, y
%
% See also format_equations.

% % Create cell array of strings
% s = cellstr(p);
% 
% % Add comma to each element
% scomma = repmat({', '},size(s));
% 
% % Concatenate strings; remove trailing comma and blanks
% c = strcat(s(:),scomma(:));
% c = strtrim([c{:}]);
% c = c(1:end-1);

delimiter = ', ';
c = format_array(p(:).',delimiter);